API Documentation
Toggle TOC panel
<access-service>/theme...

URL structure

1 https://access-service.xy-company.com/theme...

where ... represents either nothing or any one of the following paths (appended to the URL above):

  • /adminEmail
  • /adminHelpUrl
  • /androidAuthenticatorUrl
  • /applicationName
  • /companyName
  • /copyright
  • /iphoneAuthenticatorUrl
  • /legalUrl
  • /orgAdminHelpUrl
  • /privacyUrl
  • /supportLink
  • /versionUrl
  • /webappHelpUrl
  • /windowsAuthenticatorUrl

Supported methods and overview

Note: This method takes no parameters.

Detailed description

This API endpoint retrieves the current values for all theme-related Safe Share Administration properties (i.e. when nothing is appended to the URL above). Many of these properties can be overridden through Organization Administration.

Each of the following paths (which can be appended to the URL above) relates to an individual property (accessible through the System Details section of the Configuration page of Safe Share Administration), such that making a GET request on that URL/path combination retrieves the value for that property only:

Appended URL path System Details property Can be modified through this API endpoint
/adminEmail Admin Email <access-service>/api/v1/config/theme/adminEmail
/adminHelpUrl Safe Share Administration Help URL <access-service>/api/v1/config/theme/adminHelpUrl
/androidAuthenticatorUrl Android Phone Authenticator URL <access-service>/api/v1/config/theme/androidAuthenticatorUrl
/applicationName Application Name <access-service>/api/v1/config/theme/applicationName
/companyName Company Name <access-service>/api/v1/config/theme/companyName
/copyright Email Notification Copyright Notice <access-service>/api/v1/config/theme/copyright
/iphoneAuthenticatorUrl iPhone Authenticator URL <access-service>/api/v1/config/theme/iphoneAuthenticatorUrl
/legalUrl Legal URL <access-service>/api/v1/config/theme/legalUrl
/orgAdminHelpUrl Organization Administration Help URL <access-service>/api/v1/config/theme/orgAdminHelpUrl
/privacyUrl The URL of the privacy statement <access-service>/api/v1/config/theme/privacyUrl
/supportLink Support URL <access-service>/api/v1/config/theme/supportLink
/versionUrl Version URL <access-service>/api/v1/config/theme/versionUrl
/webappHelpUrl Web Application Help URL <access-service>/api/v1/config/theme/webappHelpUrl
/windowsAuthenticatorUrl Windows Phone Authenticator URL <access-service>/api/v1/config/theme/windowsAuthenticatorUrl

Supported roles

This API endpoint supports the following Covata user roles (as described in the Safe Share Administrator's Guide):

The Covata Platform's resources available to a Covata user meeting the criteria above is determined by the access token submitted in the header of requests to this endpoint.

Required headers

The appropriate access token as the Bearer token:

  • Authorization: Bearer eyJhbGciOiJSUzI1NiJ9.eyJleHAiOjE0NjcwMTY2NjYsInVzZXJfbmFtZSI6ImFsZXgub...

Returns

If the request succeeded, then an HTTP response status 200 OK is returned.

For successful requests only, a JSON-formatted response containing the following members is also returned:

  • property_name - The name of the property, followed by its value.
    Notes:
    • Most property_names are similar to (but do not match) the URL path components above, which can be appended to this endpoint's URL. These names are hard-coded in the Covata Platform.
    • When a URL path component is appended to this endpoint's URL, the property name is returned as just property.
    Example (response from a GET request to '<access-service>/theme'):
    {
    "copyright": "YEAR Covata.",
    "authenticator_windows_url": "https://www.windowsphone.com/en-au/store/app/authenticator/021dd79f-0598-e011-986b-78e7d1fa76f8",
    "authenticator_android_url": "https://play.google.com/store/apps/details?id=com.google.android.apps.authenticator2",
    "support_link": "https://support.covata.com",
    "org_admin_help_url": "https://docs.covata.com/latest/admin-org/",
    "admin_email": "",
    "admin_help_url": "https://docs.covata.com/latest/admin-platform/",
    "application_name": "Safe Share",
    "legal_url": "https://docs-staticassets.covata.io/html/legal.html",
    "company_name": "Covata",
    "authenticator_iphone_url": "https://itunes.apple.com/au/app/google-authenticator/id388497605?mt=8",
    "privacy_url": "",
    "webapp_help_url": "https://docs.covata.com/latest/user/",
    "version_url": "https://www.covata.com/product-releasenotes/"
    }

    Example (response from a GET request to '<access-service>/theme/companyName'):
    {
    "property": "Covata"
    }